package com.willalp.device.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备报修流程记录对象 hs_device_repairs
 *
 * @author willalp
 * @date 2023-04-21
 */

@TableName("hs_device_repairs")
public class HsDeviceRepairs extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 审批标题 */
    @Excel(name = "审批标题")
    private String title;

    /** 设备位置 */
    @Excel(name = "设备位置")
    private String deviceLoca;

    /** 紧急程度 */
    @Excel(name = "紧急程度")
    private String urgencyLevel;

    /** 设备照片（5张最大） */
    private String photos;

    /** 申请部门 */
    @Excel(name = "申请部门")
    private String deptId;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applyUserName;

    /**
     * 报修说明
     */
    private String remark;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setDeviceLoca(String deviceLoca) {
        this.deviceLoca = deviceLoca;
    }

    public String getDeviceLoca() {
        return deviceLoca;
    }

    public void setUrgencyLevel(String urgencyLevel) {
        this.urgencyLevel = urgencyLevel;
    }

    public String getUrgencyLevel() {
        return urgencyLevel;
    }

    public void setPhotos(String photos) {
        this.photos = photos;
    }

    public String getPhotos() {
        return photos;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("deviceLoca", getDeviceLoca())
                .append("urgencyLevel", getUrgencyLevel())
                .append("photos", getPhotos())
                .append("deptId", getDeptId())
                .append("applyUserName", getApplyUserName())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
